comparison configure @ 2741:d5863780dbef

[xemacs-hg @ 2005-04-22 12:45:22 by malcolmp] configure.ac: Make srcdir absolute before calling AC_CONFIG_AUX_DIR_DEFAULT, include X headers for shape.h, terminate checking lines when testing for dynamic libraries.
author malcolmp
date Fri, 22 Apr 2005 12:45:41 +0000
parents 6fa9919a9a0b
children ac63ab256048
comparison
equal deleted inserted replaced
2740:fb11217148b1 2741:d5863780dbef
354 #endif 354 #endif
355 #if HAVE_UNISTD_H 355 #if HAVE_UNISTD_H
356 # include <unistd.h> 356 # include <unistd.h>
357 #endif" 357 #endif"
358 358
359 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS inststaticdir statedir build build_cpu build_vendor build_os LN_S blddir configuration CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP start_flags ld_switch_shared start_files ld lib_gcc RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA YACC SET_MAKE GTK_CONFIG X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS install_pp libs_xauth dnd_objs LIBSTDCPP dll_ld dll_cflags dll_ldflags dll_post dll_ldo ld_dynamic_link_flags with_modules MOD_CC MODARCHDIR MAKE_DOCFILE MODCFLAGS INSTALLPATH MOD_INSTALL_PROGRAM OBJECT_TO_BUILD ldap_libs postgresql_libs lwlib_objs ALLOCA have_esd_config SRC_SUBDIR_DEPS INSTALL_ARCH_DEP_SUBDIR MAKE_SUBDIR SUBDIR_MAKEFILES PROGNAME version instvardir srcdir extra_includes PREFIX_USER_DEFINED PREFIX EXEC_PREFIX_USER_DEFINED EXEC_PREFIX INFODIR_USER_DEFINED INFODIR infopath INFOPATH_USER_DEFINED INFOPATH package_path PACKAGE_PATH_USER_DEFINED PACKAGE_PATH lispdir LISPDIR_USER_DEFINED LISPDIR moduledir MODULEDIR_USER_DEFINED MODULEDIR sitelispdir SITELISPDIR_USER_DEFINED SITELISPDIR sitemoduledir SITEMODULEDIR_USER_DEFINED SITEMODULEDIR etcdir ETCDIR_USER_DEFINED ETCDIR archlibdir ARCHLIBDIR_USER_DEFINED ARCHLIBDIR docdir DOCDIR_USER_DEFINED DOCDIR bitmapdir extra_objs machfile opsysfile c_switch_general c_switch_window_system c_switch_all ld_switch_general ld_switch_window_system ld_switch_all ld_libs_general ld_libs_window_system ld_libs_all RECURSIVE_MAKE_ARGS native_sound_lib sound_cflags dynodump_arch XEMACS_CC XE_CFLAGS internal_makefile_list LIBOBJS LTLIBOBJS' 359 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS inststaticdir statedir LN_S blddir build build_cpu build_vendor build_os configuration CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP start_flags ld_switch_shared start_files ld lib_gcc RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA YACC SET_MAKE GTK_CONFIG X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS install_pp libs_xauth dnd_objs LIBSTDCPP dll_ld dll_cflags dll_ldflags dll_post dll_ldo ld_dynamic_link_flags with_modules MOD_CC MODARCHDIR MAKE_DOCFILE MODCFLAGS INSTALLPATH MOD_INSTALL_PROGRAM OBJECT_TO_BUILD ldap_libs postgresql_libs lwlib_objs ALLOCA have_esd_config SRC_SUBDIR_DEPS INSTALL_ARCH_DEP_SUBDIR MAKE_SUBDIR SUBDIR_MAKEFILES PROGNAME version instvardir srcdir extra_includes PREFIX_USER_DEFINED PREFIX EXEC_PREFIX_USER_DEFINED EXEC_PREFIX INFODIR_USER_DEFINED INFODIR infopath INFOPATH_USER_DEFINED INFOPATH package_path PACKAGE_PATH_USER_DEFINED PACKAGE_PATH lispdir LISPDIR_USER_DEFINED LISPDIR moduledir MODULEDIR_USER_DEFINED MODULEDIR sitelispdir SITELISPDIR_USER_DEFINED SITELISPDIR sitemoduledir SITEMODULEDIR_USER_DEFINED SITEMODULEDIR etcdir ETCDIR_USER_DEFINED ETCDIR archlibdir ARCHLIBDIR_USER_DEFINED ARCHLIBDIR docdir DOCDIR_USER_DEFINED DOCDIR bitmapdir extra_objs machfile opsysfile c_switch_general c_switch_window_system c_switch_all ld_switch_general ld_switch_window_system ld_switch_all ld_libs_general ld_libs_window_system ld_libs_all RECURSIVE_MAKE_ARGS native_sound_lib sound_cflags dynodump_arch XEMACS_CC XE_CFLAGS internal_makefile_list LIBOBJS LTLIBOBJS'
360 ac_subst_files='' 360 ac_subst_files=''
361 361
362 # Initialize some variables set by options. 362 # Initialize some variables set by options.
363 ac_init_help= 363 ac_init_help=
364 ac_init_version=false 364 ac_init_version=false
2727 2727
2728 2728
2729 statedir=$with_statedir 2729 statedir=$with_statedir
2730 2730
2731 2731
2732
2733 echo "$as_me:$LINENO: checking whether ln -s works" >&5
2734 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
2735 LN_S=$as_ln_s
2736 if test "$LN_S" = "ln -s"; then
2737 echo "$as_me:$LINENO: result: yes" >&5
2738 echo "${ECHO_T}yes" >&6
2739 else
2740 echo "$as_me:$LINENO: result: no, using $LN_S" >&5
2741 echo "${ECHO_T}no, using $LN_S" >&6
2742 fi
2743
2744
2745 for dir in lisp etc man info tests; do
2746 if test ! -d "$dir" ; then
2747 echo Making symbolic link to "$srcdir/$dir"
2748 ${LN_S} "$srcdir/$dir" "$dir"
2749 fi
2750 done
2751
2752 absolute_pwd="`pwd`";
2753 if test -n "$PWD" -a "`cd $PWD && pwd`" = "$absolute_pwd"
2754 then blddir="$PWD"
2755 else blddir="$absolute_pwd"; if test -d "/net"; then
2756 if test -d "/tmp_mnt/net"; then tdir="tmp_mnt/net"; else tdir="tmp_mnt"; fi
2757 blddir=`echo "$blddir" | \
2758 sed -e "s|^${tdir}/|/net/|" -e "s|^/a/|/net/|" -e "s|^/amd/|/net/|"`
2759 fi
2760 fi
2761
2762
2763 case "$srcdir" in
2764 /* ) ;;
2765 . ) srcdir="$blddir" ;;
2766 * ) srcdir="`cd $srcdir && pwd`"; if test -d "/net"; then
2767 if test -d "/tmp_mnt/net"; then tdir="tmp_mnt/net"; else tdir="tmp_mnt"; fi
2768 srcdir=`echo "$srcdir" | \
2769 sed -e "s|^${tdir}/|/net/|" -e "s|^/a/|/net/|" -e "s|^/amd/|/net/|"`
2770 fi ;;
2771 esac
2772
2773 if test `pwd` != `sh -c cd $srcdir && pwd` \
2774 && test -f "$srcdir/src/config.h"; then
2775 (echo "$progname: WARNING: The directory tree \`$srcdir' is being used"
2776 echo " as a build directory right now; it has been configured in its own"
2777 echo " right. To configure in another directory as well, you MUST"
2778 echo " use GNU make. If you do not have GNU make, then you must"
2779 echo " now do \`make distclean' in $srcdir,"
2780 echo " and then run $progname again.") >&2
2781 extrasub='/^VPATH[ ]*=/c\
2782 vpath %.c $(srcdir)\
2783 vpath %.h $(srcdir)\
2784 vpath %.y $(srcdir)\
2785 vpath %.l $(srcdir)\
2786 vpath %.s $(srcdir)\
2787 vpath %.in $(srcdir)'
2788 fi
2789
2732 ac_aux_dir= 2790 ac_aux_dir=
2733 for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do 2791 for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
2734 if test -f $ac_dir/install-sh; then 2792 if test -f $ac_dir/install-sh; then
2735 ac_aux_dir=$ac_dir 2793 ac_aux_dir=$ac_dir
2736 ac_install_sh="$ac_aux_dir/install-sh -c" 2794 ac_install_sh="$ac_aux_dir/install-sh -c"
2784 build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'` 2842 build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
2785 build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'` 2843 build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
2786 build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'` 2844 build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
2787 2845
2788 2846
2789
2790 echo "$as_me:$LINENO: checking whether ln -s works" >&5
2791 echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
2792 LN_S=$as_ln_s
2793 if test "$LN_S" = "ln -s"; then
2794 echo "$as_me:$LINENO: result: yes" >&5
2795 echo "${ECHO_T}yes" >&6
2796 else
2797 echo "$as_me:$LINENO: result: no, using $LN_S" >&5
2798 echo "${ECHO_T}no, using $LN_S" >&6
2799 fi
2800
2801
2802 for dir in lisp etc man info tests; do
2803 if test ! -d "$dir" ; then
2804 echo Making symbolic link to "$srcdir/$dir"
2805 ${LN_S} "$srcdir/$dir" "$dir"
2806 fi
2807 done
2808
2809 absolute_pwd="`pwd`";
2810 if test -n "$PWD" -a "`cd $PWD && pwd`" = "$absolute_pwd"
2811 then blddir="$PWD"
2812 else blddir="$absolute_pwd"; if test -d "/net"; then
2813 if test -d "/tmp_mnt/net"; then tdir="tmp_mnt/net"; else tdir="tmp_mnt"; fi
2814 blddir=`echo "$blddir" | \
2815 sed -e "s|^${tdir}/|/net/|" -e "s|^/a/|/net/|" -e "s|^/amd/|/net/|"`
2816 fi
2817 fi
2818
2819
2820 case "$srcdir" in
2821 /* ) ;;
2822 . ) srcdir="$blddir" ;;
2823 * ) srcdir="`cd $srcdir && pwd`"; if test -d "/net"; then
2824 if test -d "/tmp_mnt/net"; then tdir="tmp_mnt/net"; else tdir="tmp_mnt"; fi
2825 srcdir=`echo "$srcdir" | \
2826 sed -e "s|^${tdir}/|/net/|" -e "s|^/a/|/net/|" -e "s|^/amd/|/net/|"`
2827 fi ;;
2828 esac
2829
2830 if test `pwd` != `sh -c cd $srcdir && pwd` \
2831 && test -f "$srcdir/src/config.h"; then
2832 (echo "$progname: WARNING: The directory tree \`$srcdir' is being used"
2833 echo " as a build directory right now; it has been configured in its own"
2834 echo " right. To configure in another directory as well, you MUST"
2835 echo " use GNU make. If you do not have GNU make, then you must"
2836 echo " now do \`make distclean' in $srcdir,"
2837 echo " and then run $progname again.") >&2
2838 extrasub='/^VPATH[ ]*=/c\
2839 vpath %.c $(srcdir)\
2840 vpath %.h $(srcdir)\
2841 vpath %.y $(srcdir)\
2842 vpath %.l $(srcdir)\
2843 vpath %.s $(srcdir)\
2844 vpath %.in $(srcdir)'
2845 fi
2846 2847
2847 . "$srcdir/version.sh" || exit 1; 2848 . "$srcdir/version.sh" || exit 1;
2848 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi 2849 if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi
2849 : "${verbose=$beta}" 2850 : "${verbose=$beta}"
2850 version="${emacs_major_version}.${emacs_minor_version}" 2851 version="${emacs_major_version}.${emacs_minor_version}"
17994 eval "${feature}=no" 17995 eval "${feature}=no"
17995 done 17996 done
17996 fi 17997 fi
17997 17998
17998 if test "$with_x11" = "yes"; then 17999 if test "$with_x11" = "yes"; then
17999 if test "${ac_cv_header_X11_extensions_shape_h+set}" = set; then
18000 echo "$as_me:$LINENO: checking for X11/extensions/shape.h" >&5 18000 echo "$as_me:$LINENO: checking for X11/extensions/shape.h" >&5
18001 echo $ECHO_N "checking for X11/extensions/shape.h... $ECHO_C" >&6 18001 echo $ECHO_N "checking for X11/extensions/shape.h... $ECHO_C" >&6
18002 if test "${ac_cv_header_X11_extensions_shape_h+set}" = set; then 18002 if test "${ac_cv_header_X11_extensions_shape_h+set}" = set; then
18003 echo $ECHO_N "(cached) $ECHO_C" >&6 18003 echo $ECHO_N "(cached) $ECHO_C" >&6
18004 fi 18004 else
18005 echo "$as_me:$LINENO: result: $ac_cv_header_X11_extensions_shape_h" >&5 18005 cat >conftest.$ac_ext <<_ACEOF
18006 echo "${ECHO_T}$ac_cv_header_X11_extensions_shape_h" >&6 18006 /* confdefs.h. */
18007 else 18007 _ACEOF
18008 # Is the header compilable? 18008 cat confdefs.h >>conftest.$ac_ext
18009 echo "$as_me:$LINENO: checking X11/extensions/shape.h usability" >&5 18009 cat >>conftest.$ac_ext <<_ACEOF
18010 echo $ECHO_N "checking X11/extensions/shape.h usability... $ECHO_C" >&6 18010 /* end confdefs.h. */
18011 cat >conftest.$ac_ext <<_ACEOF 18011
18012 /* confdefs.h. */ 18012 #include <X11/Xlib.h>
18013 _ACEOF 18013 #include <X11/Xutil.h>
18014 cat confdefs.h >>conftest.$ac_ext 18014
18015 cat >>conftest.$ac_ext <<_ACEOF 18015
18016 /* end confdefs.h. */
18017 $ac_includes_default
18018 #include <X11/extensions/shape.h> 18016 #include <X11/extensions/shape.h>
18019 _ACEOF 18017 _ACEOF
18020 rm -f conftest.$ac_objext 18018 rm -f conftest.$ac_objext
18021 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 18019 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
18022 (eval $ac_compile) 2>conftest.er1 18020 (eval $ac_compile) 2>conftest.er1
18037 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 18035 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18038 (eval $ac_try) 2>&5 18036 (eval $ac_try) 2>&5
18039 ac_status=$? 18037 ac_status=$?
18040 echo "$as_me:$LINENO: \$? = $ac_status" >&5 18038 echo "$as_me:$LINENO: \$? = $ac_status" >&5
18041 (exit $ac_status); }; }; then 18039 (exit $ac_status); }; }; then
18042 ac_header_compiler=yes 18040 ac_cv_header_X11_extensions_shape_h=yes
18043 else 18041 else
18044 echo "$as_me: failed program was:" >&5 18042 echo "$as_me: failed program was:" >&5
18045 sed 's/^/| /' conftest.$ac_ext >&5 18043 sed 's/^/| /' conftest.$ac_ext >&5
18046 18044
18047 ac_header_compiler=no 18045 ac_cv_header_X11_extensions_shape_h=no
18048 fi 18046 fi
18049 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 18047 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
18050 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
18051 echo "${ECHO_T}$ac_header_compiler" >&6
18052
18053 # Is the header present?
18054 echo "$as_me:$LINENO: checking X11/extensions/shape.h presence" >&5
18055 echo $ECHO_N "checking X11/extensions/shape.h presence... $ECHO_C" >&6
18056 cat >conftest.$ac_ext <<_ACEOF
18057 /* confdefs.h. */
18058 _ACEOF
18059 cat confdefs.h >>conftest.$ac_ext
18060 cat >>conftest.$ac_ext <<_ACEOF
18061 /* end confdefs.h. */
18062 #include <X11/extensions/shape.h>
18063 _ACEOF
18064 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
18065 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
18066 ac_status=$?
18067 grep -v '^ *+' conftest.er1 >conftest.err
18068 rm -f conftest.er1
18069 cat conftest.err >&5
18070 echo "$as_me:$LINENO: \$? = $ac_status" >&5
18071 (exit $ac_status); } >/dev/null; then
18072 if test -s conftest.err; then
18073 ac_cpp_err=$ac_c_preproc_warn_flag
18074 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
18075 else
18076 ac_cpp_err=
18077 fi
18078 else
18079 ac_cpp_err=yes
18080 fi
18081 if test -z "$ac_cpp_err"; then
18082 ac_header_preproc=yes
18083 else
18084 echo "$as_me: failed program was:" >&5
18085 sed 's/^/| /' conftest.$ac_ext >&5
18086
18087 ac_header_preproc=no
18088 fi
18089 rm -f conftest.err conftest.$ac_ext
18090 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
18091 echo "${ECHO_T}$ac_header_preproc" >&6
18092
18093 # So? What about this header?
18094 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
18095 yes:no: )
18096 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: accepted by the compiler, rejected by the preprocessor!" >&5
18097 echo "$as_me: WARNING: X11/extensions/shape.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
18098 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: proceeding with the compiler's result" >&5
18099 echo "$as_me: WARNING: X11/extensions/shape.h: proceeding with the compiler's result" >&2;}
18100 ac_header_preproc=yes
18101 ;;
18102 no:yes:* )
18103 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: present but cannot be compiled" >&5
18104 echo "$as_me: WARNING: X11/extensions/shape.h: present but cannot be compiled" >&2;}
18105 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: check for missing prerequisite headers?" >&5
18106 echo "$as_me: WARNING: X11/extensions/shape.h: check for missing prerequisite headers?" >&2;}
18107 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: see the Autoconf documentation" >&5
18108 echo "$as_me: WARNING: X11/extensions/shape.h: see the Autoconf documentation" >&2;}
18109 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: section \"Present But Cannot Be Compiled\"" >&5
18110 echo "$as_me: WARNING: X11/extensions/shape.h: section \"Present But Cannot Be Compiled\"" >&2;}
18111 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: proceeding with the preprocessor's result" >&5
18112 echo "$as_me: WARNING: X11/extensions/shape.h: proceeding with the preprocessor's result" >&2;}
18113 { echo "$as_me:$LINENO: WARNING: X11/extensions/shape.h: in the future, the compiler will take precedence" >&5
18114 echo "$as_me: WARNING: X11/extensions/shape.h: in the future, the compiler will take precedence" >&2;}
18115 (
18116 cat <<\_ASBOX
18117 ## ------------------------------------------ ##
18118 ## Report this to the AC_PACKAGE_NAME lists. ##
18119 ## ------------------------------------------ ##
18120 _ASBOX
18121 ) |
18122 sed "s/^/$as_me: WARNING: /" >&2
18123 ;;
18124 esac
18125 echo "$as_me:$LINENO: checking for X11/extensions/shape.h" >&5
18126 echo $ECHO_N "checking for X11/extensions/shape.h... $ECHO_C" >&6
18127 if test "${ac_cv_header_X11_extensions_shape_h+set}" = set; then
18128 echo $ECHO_N "(cached) $ECHO_C" >&6
18129 else
18130 ac_cv_header_X11_extensions_shape_h=$ac_header_preproc
18131 fi 18048 fi
18132 echo "$as_me:$LINENO: result: $ac_cv_header_X11_extensions_shape_h" >&5 18049 echo "$as_me:$LINENO: result: $ac_cv_header_X11_extensions_shape_h" >&5
18133 echo "${ECHO_T}$ac_cv_header_X11_extensions_shape_h" >&6 18050 echo "${ECHO_T}$ac_cv_header_X11_extensions_shape_h" >&6
18134
18135 fi
18136 if test $ac_cv_header_X11_extensions_shape_h = yes; then 18051 if test $ac_cv_header_X11_extensions_shape_h = yes; then
18137 18052
18138 cat >>confdefs.h <<\_ACEOF 18053 cat >>confdefs.h <<\_ACEOF
18139 #define HAVE_BALLOON_HELP 1 18054 #define HAVE_BALLOON_HELP 1
18140 _ACEOF 18055 _ACEOF
18600 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 18515 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18601 (eval $ac_try) 2>&5 18516 (eval $ac_try) 2>&5
18602 ac_status=$? 18517 ac_status=$?
18603 echo "$as_me:$LINENO: \$? = $ac_status" >&5 18518 echo "$as_me:$LINENO: \$? = $ac_status" >&5
18604 (exit $ac_status); }; }; then 18519 (exit $ac_status); }; }; then
18605 have_dl=yes 18520 have_dl=yes ; echo "$as_me:$LINENO: result: $have_dl" >&5
18521 echo "${ECHO_T}$have_dl" >&6
18606 else 18522 else
18607 echo "$as_me: failed program was:" >&5 18523 echo "$as_me: failed program was:" >&5
18608 sed 's/^/| /' conftest.$ac_ext >&5 18524 sed 's/^/| /' conftest.$ac_ext >&5
18609 18525
18610 18526
18527 echo "$as_me:$LINENO: result: no" >&5
18528 echo "${ECHO_T}no" >&6
18611 echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5 18529 echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
18612 echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6 18530 echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
18613 ac_save_LIBS="$LIBS" 18531 ac_save_LIBS="$LIBS"
18614 LIBS="$LIBS -ldl" 18532 LIBS="$LIBS -ldl"
18615 cat >conftest.$ac_ext <<_ACEOF 18533 cat >conftest.$ac_ext <<_ACEOF
18647 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 18565 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18648 (eval $ac_try) 2>&5 18566 (eval $ac_try) 2>&5
18649 ac_status=$? 18567 ac_status=$?
18650 echo "$as_me:$LINENO: \$? = $ac_status" >&5 18568 echo "$as_me:$LINENO: \$? = $ac_status" >&5
18651 (exit $ac_status); }; }; then 18569 (exit $ac_status); }; }; then
18652 have_dl=yes 18570 have_dl=yes; echo "$as_me:$LINENO: result: $have_dl" >&5
18571 echo "${ECHO_T}$have_dl" >&6
18653 else 18572 else
18654 echo "$as_me: failed program was:" >&5 18573 echo "$as_me: failed program was:" >&5
18655 sed 's/^/| /' conftest.$ac_ext >&5 18574 sed 's/^/| /' conftest.$ac_ext >&5
18656 18575
18657 18576
18577 echo "$as_me:$LINENO: result: no" >&5
18578 echo "${ECHO_T}no" >&6
18658 echo "$as_me:$LINENO: checking for dlopen in -lsvld" >&5 18579 echo "$as_me:$LINENO: checking for dlopen in -lsvld" >&5
18659 echo $ECHO_N "checking for dlopen in -lsvld... $ECHO_C" >&6 18580 echo $ECHO_N "checking for dlopen in -lsvld... $ECHO_C" >&6
18660 LIBS="$ac_save_LIBS -lsvld" 18581 LIBS="$ac_save_LIBS -lsvld"
18661 cat >conftest.$ac_ext <<_ACEOF 18582 cat >conftest.$ac_ext <<_ACEOF
18662 /* confdefs.h. */ 18583 /* confdefs.h. */
18693 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 18614 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18694 (eval $ac_try) 2>&5 18615 (eval $ac_try) 2>&5
18695 ac_status=$? 18616 ac_status=$?
18696 echo "$as_me:$LINENO: \$? = $ac_status" >&5 18617 echo "$as_me:$LINENO: \$? = $ac_status" >&5
18697 (exit $ac_status); }; }; then 18618 (exit $ac_status); }; }; then
18698 have_dl=yes 18619 have_dl=yes; echo "$as_me:$LINENO: result: $have_dl" >&5
18620 echo "${ECHO_T}$have_dl" >&6
18699 else 18621 else
18700 echo "$as_me: failed program was:" >&5 18622 echo "$as_me: failed program was:" >&5
18701 sed 's/^/| /' conftest.$ac_ext >&5 18623 sed 's/^/| /' conftest.$ac_ext >&5
18702 18624
18703 LIBS="$ac_save_LIBS" 18625 LIBS="$ac_save_LIBS" ; echo "$as_me:$LINENO: result: no" >&5
18626 echo "${ECHO_T}no" >&6
18704 fi 18627 fi
18705 rm -f conftest.err conftest.$ac_objext \ 18628 rm -f conftest.err conftest.$ac_objext \
18706 conftest$ac_exeext conftest.$ac_ext 18629 conftest$ac_exeext conftest.$ac_ext
18707 fi 18630 fi
18708 rm -f conftest.err conftest.$ac_objext \ 18631 rm -f conftest.err conftest.$ac_objext \
18895 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 18818 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18896 (eval $ac_try) 2>&5 18819 (eval $ac_try) 2>&5
18897 ac_status=$? 18820 ac_status=$?
18898 echo "$as_me:$LINENO: \$? = $ac_status" >&5 18821 echo "$as_me:$LINENO: \$? = $ac_status" >&5
18899 (exit $ac_status); }; }; then 18822 (exit $ac_status); }; }; then
18900 have_dl=yes 18823 have_dl=yes; echo "$as_me:$LINENO: result: $have_dl" >&5
18824 echo "${ECHO_T}$have_dl" >&6
18901 else 18825 else
18902 echo "$as_me: failed program was:" >&5 18826 echo "$as_me: failed program was:" >&5
18903 sed 's/^/| /' conftest.$ac_ext >&5 18827 sed 's/^/| /' conftest.$ac_ext >&5
18904 18828
18905 18829
18830 echo "$as_me:$LINENO: result: no" >&5
18831 echo "${ECHO_T}no" >&6
18906 echo "$as_me:$LINENO: checking for shl_load in -ldl" >&5 18832 echo "$as_me:$LINENO: checking for shl_load in -ldl" >&5
18907 echo $ECHO_N "checking for shl_load in -ldl... $ECHO_C" >&6 18833 echo $ECHO_N "checking for shl_load in -ldl... $ECHO_C" >&6
18908 ac_save_LIBS="$LIBS" 18834 ac_save_LIBS="$LIBS"
18909 LIBS="$LIBS -ldld" 18835 LIBS="$LIBS -ldld"
18910 cat >conftest.$ac_ext <<_ACEOF 18836 cat >conftest.$ac_ext <<_ACEOF
18947 have_dl=yes 18873 have_dl=yes
18948 else 18874 else
18949 echo "$as_me: failed program was:" >&5 18875 echo "$as_me: failed program was:" >&5
18950 sed 's/^/| /' conftest.$ac_ext >&5 18876 sed 's/^/| /' conftest.$ac_ext >&5
18951 18877
18952 LIBS="$ac_save_LIBS" 18878 LIBS="$ac_save_LIBS"; echo "$as_me:$LINENO: result: no" >&5
18879 echo "${ECHO_T}no" >&6
18953 fi 18880 fi
18954 rm -f conftest.err conftest.$ac_objext \ 18881 rm -f conftest.err conftest.$ac_objext \
18955 conftest$ac_exeext conftest.$ac_ext 18882 conftest$ac_exeext conftest.$ac_ext
18956 fi 18883 fi
18957 rm -f conftest.err conftest.$ac_objext \ 18884 rm -f conftest.err conftest.$ac_objext \
19155 rm -f conftest.err conftest.$ac_objext \ 19082 rm -f conftest.err conftest.$ac_objext \
19156 conftest$ac_exeext conftest.$ac_ext 19083 conftest$ac_exeext conftest.$ac_ext
19157 fi 19084 fi
19158 19085
19159 19086
19087 echo "$as_me:$LINENO: result: $have_dl" >&5
19088 echo "${ECHO_T}$have_dl" >&6
19160 if test "$have_dl" = "yes"; then 19089 if test "$have_dl" = "yes"; then
19161 cat >>confdefs.h <<\_ACEOF 19090 cat >>confdefs.h <<\_ACEOF
19162 #define HAVE_LTDL 1 19091 #define HAVE_LTDL 1
19163 _ACEOF 19092 _ACEOF
19164 19093
37342 s,@ECHO_N@,$ECHO_N,;t t 37271 s,@ECHO_N@,$ECHO_N,;t t
37343 s,@ECHO_T@,$ECHO_T,;t t 37272 s,@ECHO_T@,$ECHO_T,;t t
37344 s,@LIBS@,$LIBS,;t t 37273 s,@LIBS@,$LIBS,;t t
37345 s,@inststaticdir@,$inststaticdir,;t t 37274 s,@inststaticdir@,$inststaticdir,;t t
37346 s,@statedir@,$statedir,;t t 37275 s,@statedir@,$statedir,;t t
37276 s,@LN_S@,$LN_S,;t t
37277 s,@blddir@,$blddir,;t t
37347 s,@build@,$build,;t t 37278 s,@build@,$build,;t t
37348 s,@build_cpu@,$build_cpu,;t t 37279 s,@build_cpu@,$build_cpu,;t t
37349 s,@build_vendor@,$build_vendor,;t t 37280 s,@build_vendor@,$build_vendor,;t t
37350 s,@build_os@,$build_os,;t t 37281 s,@build_os@,$build_os,;t t
37351 s,@LN_S@,$LN_S,;t t
37352 s,@blddir@,$blddir,;t t
37353 s,@configuration@,$configuration,;t t 37282 s,@configuration@,$configuration,;t t
37354 s,@CC@,$CC,;t t 37283 s,@CC@,$CC,;t t
37355 s,@CFLAGS@,$CFLAGS,;t t 37284 s,@CFLAGS@,$CFLAGS,;t t
37356 s,@LDFLAGS@,$LDFLAGS,;t t 37285 s,@LDFLAGS@,$LDFLAGS,;t t
37357 s,@CPPFLAGS@,$CPPFLAGS,;t t 37286 s,@CPPFLAGS@,$CPPFLAGS,;t t